# nvme-lnvm-diag-set-bbtbl(1) Manual Page

## NAME

nvme-lnvm-diag-set-bbtbl - Set a block state in the bad block table

## SYNOPSIS

    nvme lnvm-diag-set-bbtbl [--namespace-id=<NUM> | -n <NUM>]
                            [--channel-id=<CHID> | -c <CHID>]
                            [--lun-id=<LUNID> | -l <LUNID>]
                            [--plane-id=<PLANEID> | -p <PLANEID>]
                            [--block-id=<BLKID> | -b <BLKID>]
                            [--value=<NUM> | -v <NUM>]

## DESCRIPTION

Set the bad block table for a given channel, lun, plane and block with value v.

For each block available, the status byte is read as follows:

0: Good block 1: Bad block 2: Grown bad block 4: Device reserved block 8: Host-side reserved block 16: Media managed reserved block

## OPTIONS

--namespace-id=<NUM>
-n <NUM>

  Namespace id to use

--channel-id
-c

  Channel id

--lun-id
-l

  LUN id

--plane-id
-p

  Plane id

--block-id
-b

  Block id

## EXAMPLES

- Set channel 0, lun 0, plane 0, block 10 to bad block value 2 (grown bad) on physical device /dev/nvme0

    # nvme lnvm-diag-set-bbtbl /dev/nvme0 -c 0 -l 0 -p 0 -b 10 -v 2

## NVME

Part of the nvme-user suite